Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.helpers
Class Triplet<T1,T2,T3>

    java.lang.Object
      org.neo4j.helpers.Pair<T1,Pair<T2,T3>>
          org.neo4j.helpers.Triplet<T1,T2,T3>

    public class Triplet<T1,T2,T3>

extends Pair<T1,Pair<T2,T3>>

Method Summary
`boolean` | `equals(Object obj)`
`T1` | `first()`
`int` | `hashCode()`
`static
`<T1,T2,T3> Triplet<T1,T2,T3>`
` | `of(T1 first, T2 other, T3 third)`
`Pair<T2,T3>` | `other()`
`T2` | `second()`
`T3` | `third()`
`String` | `toString()`

Methods inherited from class org.neo4j.helpers.Pair
`of`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### of

    public static <T1,T2,T3> Triplet<T1,T2,T3> of(T1 first,
                                                  T2 other,
                                                  T3 third)

### first

    public T1 first()

  Specified by:
    `first` in class `Pair<T1,Pair<T2,T3>>`
  Returns:
    the first object in the pair.

### second

    public T2 second()

  Returns:
    the second object in the triplet.

### third

    public T3 third()

  Returns:
    the third object in the triplet.

### other

    public Pair<T2,T3> other()

  Specified by:
    `other` in class `Pair<T1,Pair<T2,T3>>`
  Returns:
    the other object in the pair.

### toString

    public String toString()

  Overrides:
    `toString` in class `Pair<T1,Pair<T2,T3>>`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Pair<T1,Pair<T2,T3>>`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Pair<T1,Pair<T2,T3>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.